Package com.sas.services.information

# Class VersionIncompatibleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.VersionIncompatibleException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class VersionIncompatibleException extends ServiceException
This exception will get thrown when an attempt is made to instantiate a smart object with data that is version incompatible with the implementation. It can also be thrown if a client attempts to use a method that is not version compatible with the existing metadata. That is, if the data not fully compatible and an attempt is made to update the object, this exception will be thrown.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionIncompatibleException()`
  `VersionIncompatibleException(String message)`
  `VersionIncompatibleException(String javaClass, com.sas.util.UsageVersion javaVersion, com.sas.util.UsageVersion metadataVersion)`
  `VersionIncompatibleException(Throwable throwable)`
  `VersionIncompatibleException(Throwable throwable, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VersionIncompatibleException

    public VersionIncompatibleException()

  - ### VersionIncompatibleException

    public VersionIncompatibleException(String message)

  - ### VersionIncompatibleException

    public VersionIncompatibleException(Throwable throwable)

  - ### VersionIncompatibleException

    public VersionIncompatibleException(Throwable throwable, String message)

  - ### VersionIncompatibleException

    public VersionIncompatibleException(String javaClass, com.sas.util.UsageVersion javaVersion, com.sas.util.UsageVersion metadataVersion)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`